.popup__container{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    padding: 2rem;
}

.popup__backdrop{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 5;
}

.popup{
    width: calc(100% - 2rem);
    max-width: 640px;
    max-height: calc(100dvh - 4rem);
    overflow-y: auto;
    border-radius: 1rem;
    background-color: var(--color-white);
    z-index: 10;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.25);
}

.popup__header,
.popup__body,
.popup__footer{
    padding: 1rem;
}

.popup__header{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--color-grey-200);
    gap: 1rem;
    position: sticky;
    top: 0;
    z-index: 15;
    background-color: var(--color-white);
}

.popup__body{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 1rem;
}

.popup__footer{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    border-top: 1px solid var(--color-grey-200);
    gap: 1rem;
}